from django.urls import path
from . import views

urlpatterns = [
    # ================= PAYMENTS =================
    path('mpesa-callback/', views.mpesa_callback, name='mpesa_callback'),
    path('pay/<int:invoice_id>/', views.initiate_payment, name='initiate_payment'),

    # ================= FINANCE =================
    path('tenant/', views.tenant_finance, name='tenant_finance'),
    path('landlord/', views.landlord_finance, name='landlord_finance'),

    # ================= NOTIFICATIONS =================
    path("notifications/", views.notifications_list, name="notifications"),
    path("notifications/read/<int:notif_id>/", views.mark_notification_read, name="notif_read"),

    # ================= ANNOUNCEMENTS =================
    path("announcements/", views.tenant_announcements, name="tenant_announcements"),
    path("announcement/send/", views.send_announcement, name="send_announcement"),

    # ================= EXPENSES =================
    path("expenses/", views.expense_list, name="expense_list"),
    path("expenses/add/", views.create_expense, name="create_expense"),
    path("expenses/approve/<int:expense_id>/", views.approve_expense, name="approve_expense"),
    path("expenses/reject/<int:expense_id>/", views.reject_expense, name="reject_expense"),
    path("expenses/category/add/", views.create_category, name="create_category"),
]